stl_tempbuf.h File Reference

Go to the source code of this file.

## Classes

class | std::_Temporary_buffer< _ForwardIterator, _Tp >

## Namespaces

namespace | std
namespace | std::__detail

## Macros

#define | _GLIBCXX_OPERATOR_DELETE
#define | _GLIBCXX_OPERATOR_NEW
#define | _GLIBCXX_SIZED_DEALLOC(T, p, n)

## Functions

template<typename _Tp>
_Tp * | std::__detail::__get_temporary_buffer (ptrdiff_t __len) noexcept
template<typename _Tp>
void | std::__detail::__return_temporary_buffer (_Tp *__p, size_t __len)
template<typename _Tp, typename _ForwardIterator>
void | std::__uninitialized_construct_buf (_Tp *__first, _Tp *__last, _ForwardIterator __seed)
template<typename _Tp>
pair< _Tp *, ptrdiff_t > | std::get_temporary_buffer (ptrdiff_t __len) noexcept
template<typename _Tp>
void | std::return_temporary_buffer (_Tp *__p)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file stl_tempbuf.h.

## Macro Definition Documentation

## _GLIBCXX_OPERATOR_DELETE

#define _GLIBCXX_OPERATOR_DELETE

Definition at line 74 of file stl_tempbuf.h.

## _GLIBCXX_OPERATOR_NEW

#define _GLIBCXX_OPERATOR_NEW

Definition at line 73 of file stl_tempbuf.h.